From 20a3cc0631bdefebc73b1ad0c15bf750f5b32d70 Mon Sep 17 00:00:00 2001
From: jiad <jiad@codeaurora.org>
Date: Thu, 28 Jun 2018 12:53:15 +0800
Subject: [PATCH 5/5] nl80211: Fix external_auth check for offloaded
 authentication

Propagate I41f7c25d68a5060d7b5e24fb5bd164e063311ed0.

Unfortunately removal of the ext_feature flag in the last revision of
the patch ended up negating the comparison and prevented the command
from being processed (either nl80211_external_auth() or
rdev_external_auth() returns -EOPNOTSUPP). Fix this by adding back the
lost '!'.

Fixes: "cfg80211/nl80211: Optional authentication offload to userspace"
---
 net/wireless/nl80211.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net/wireless/nl80211.c b/net/wireless/nl80211.c
index f07bf86..ef9cd03 100644
--- a/net/wireless/nl80211.c
+++ b/net/wireless/nl80211.c
@@ -10628,7 +10628,7 @@ static int nl80211_external_auth(struct sk_buff *skb, struct genl_info *info)
 	struct net_device *dev = info->user_ptr[1];
 	struct cfg80211_external_auth_params params;
 
-	if (rdev->ops->external_auth)
+	if (!rdev->ops->external_auth)
 		return -EOPNOTSUPP;
 
 	if (!info->attrs[NL80211_ATTR_SSID])
-- 
2.7.4

